# Ubuntu Developer Summit web application
# Copyright (C) 2008, 2009, 2010 Canonical Ltd
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.contrib import admin

from summit.schedule.models import Attendee, AttendeeBusy, Participant

__all__ = (
)


class AttendeeBusyInline(admin.TabularInline):
    model = AttendeeBusy
    extra = 3


class AttendeeAdmin(admin.ModelAdmin):
    list_display = ('summit', 'user')
    list_display_links = ('user', )
    list_filter = ('summit', 'tracks', 'topics')
    search_fields = ('user__username', 'user__first_name', 'user__last_name',
                     'user__email')
    inlines = (AttendeeBusyInline, )

admin.site.register(Attendee, AttendeeAdmin)

admin.site.register(Participant)
