# Ubuntu Developer Summit web application
# Copyright (C) 2008, 2009, 2010 Canonical Ltd
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.core.management.base import BaseCommand, CommandError
from datetime import datetime
from summit.schedule.models import *

__all__ = (
    'Command',
)


class Command(BaseCommand):

    def handle(self, summit='', *args, **options):
        if not summit:
            print "Please provide a summit as an option"
        else:
            try:
                summit = Summit.objects.get(name=summit)
            except Summit.DoesNotExist:
                raise CommandError("Summit doesn't exist: %s" % summit)
                
            today = datetime.now()           
            for meeting in summit.meeting_set.all():
                for agenda in meeting.agenda_set.filter(auto=True,slot__start_utc__gt=today):
                    try:
                        missing = meeting.check_schedule(agenda.slot, agenda.room)
                        if len(missing):
                            print "Warning: required people not available: %s (%s) at %s in %s: %s" % (
                                meeting, meeting.drafter, agenda.slot, agenda.room,
                                ', '.join(m.user.username for m in missing))
                            #agenda.delete()
                    except meeting.SchedulingError, e:
                        print "Error: %s at %s in %s: %s" % (meeting,
                                                         agenda.slot,
                                                         agenda.room,
                                                         e)
                        #agenda.delete()




