
from south.db import db
from django.db import models
from summit.schedule.models import *
from summit.schedule.fields import NameField

class Migration:
    
    def forwards(self, orm):
        
        # Adding model 'Slot'
        db.create_table('schedule_slot', (
            ('id', orm['schedule.Slot:id']),
            ('summit', orm['schedule.Slot:summit']),
            ('type', orm['schedule.Slot:type']),
            ('start_utc', orm['schedule.Slot:start_utc']),
            ('end_utc', orm['schedule.Slot:end_utc']),
        ))
        db.send_create_signal('schedule', ['Slot'])
        
        # Adding model 'AttendeeBusy'
        db.create_table('schedule_attendeebusy', (
            ('id', orm['schedule.AttendeeBusy:id']),
            ('attendee', orm['schedule.AttendeeBusy:attendee']),
            ('start_utc', orm['schedule.AttendeeBusy:start_utc']),
            ('end_utc', orm['schedule.AttendeeBusy:end_utc']),
        ))
        db.send_create_signal('schedule', ['AttendeeBusy'])
        
        # Adding model 'Participant'
        db.create_table('schedule_participant', (
            ('id', orm['schedule.Participant:id']),
            ('meeting', orm['schedule.Participant:meeting']),
            ('attendee', orm['schedule.Participant:attendee']),
            ('required', orm['schedule.Participant:required']),
        ))
        db.send_create_signal('schedule', ['Participant'])
        
        # Adding model 'Agenda'
        db.create_table('schedule_agenda', (
            ('id', orm['schedule.Agenda:id']),
            ('slot', orm['schedule.Agenda:slot']),
            ('room', orm['schedule.Agenda:room']),
            ('meeting', orm['schedule.Agenda:meeting']),
            ('auto', orm['schedule.Agenda:auto']),
        ))
        db.send_create_signal('schedule', ['Agenda'])
        
        # Adding model 'Meeting'
        db.create_table('schedule_meeting', (
            ('id', orm['schedule.Meeting:id']),
            ('summit', orm['schedule.Meeting:summit']),
            ('name', orm['schedule.Meeting:name']),
            ('title', orm['schedule.Meeting:title']),
            ('description', orm['schedule.Meeting:description']),
            ('type', orm['schedule.Meeting:type']),
            ('status', orm['schedule.Meeting:status']),
            ('priority', orm['schedule.Meeting:priority']),
            ('spec_url', orm['schedule.Meeting:spec_url']),
            ('wiki_url', orm['schedule.Meeting:wiki_url']),
            ('slots', orm['schedule.Meeting:slots']),
            ('private', orm['schedule.Meeting:private']),
            ('drafter', orm['schedule.Meeting:drafter']),
            ('assignee', orm['schedule.Meeting:assignee']),
            ('approver', orm['schedule.Meeting:approver']),
            ('scribe', orm['schedule.Meeting:scribe']),
        ))
        db.send_create_signal('schedule', ['Meeting'])
        
        # Adding model 'Topic'
        db.create_table('schedule_topic', (
            ('id', orm['schedule.Topic:id']),
            ('summit', orm['schedule.Topic:summit']),
            ('title', orm['schedule.Topic:title']),
        ))
        db.send_create_signal('schedule', ['Topic'])
        
        # Adding model 'RoomBusy'
        db.create_table('schedule_roombusy', (
            ('id', orm['schedule.RoomBusy:id']),
            ('room', orm['schedule.RoomBusy:room']),
            ('start_utc', orm['schedule.RoomBusy:start_utc']),
            ('end_utc', orm['schedule.RoomBusy:end_utc']),
        ))
        db.send_create_signal('schedule', ['RoomBusy'])
        
        # Adding model 'Attendee'
        db.create_table('schedule_attendee', (
            ('id', orm['schedule.Attendee:id']),
            ('summit', orm['schedule.Attendee:summit']),
            ('user', orm['schedule.Attendee:user']),
            ('start_utc', orm['schedule.Attendee:start_utc']),
            ('end_utc', orm['schedule.Attendee:end_utc']),
        ))
        db.send_create_signal('schedule', ['Attendee'])
        
        # Adding model 'Summit'
        db.create_table('schedule_summit', (
            ('id', orm['schedule.Summit:id']),
            ('name', orm['schedule.Summit:name']),
            ('title', orm['schedule.Summit:title']),
            ('location', orm['schedule.Summit:location']),
            ('description', orm['schedule.Summit:description']),
            ('timezone', orm['schedule.Summit:timezone']),
            ('last_update', orm['schedule.Summit:last_update']),
            ('state', orm['schedule.Summit:state']),
        ))
        db.send_create_signal('schedule', ['Summit'])
        
        # Adding model 'Track'
        db.create_table('schedule_track', (
            ('id', orm['schedule.Track:id']),
            ('summit', orm['schedule.Track:summit']),
            ('title', orm['schedule.Track:title']),
        ))
        db.send_create_signal('schedule', ['Track'])
        
        # Adding model 'Room'
        db.create_table('schedule_room', (
            ('id', orm['schedule.Room:id']),
            ('summit', orm['schedule.Room:summit']),
            ('name', orm['schedule.Room:name']),
            ('title', orm['schedule.Room:title']),
            ('type', orm['schedule.Room:type']),
            ('size', orm['schedule.Room:size']),
            ('start_utc', orm['schedule.Room:start_utc']),
            ('end_utc', orm['schedule.Room:end_utc']),
            ('icecast_url', orm['schedule.Room:icecast_url']),
        ))
        db.send_create_signal('schedule', ['Room'])
        
        # Adding ManyToManyField 'Room.tracks'
        db.create_table('schedule_room_tracks', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('room', models.ForeignKey(orm.Room, null=False)),
            ('track', models.ForeignKey(orm.Track, null=False))
        ))
        
        # Adding ManyToManyField 'Meeting.tracks'
        db.create_table('schedule_meeting_tracks', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('meeting', models.ForeignKey(orm.Meeting, null=False)),
            ('track', models.ForeignKey(orm.Track, null=False))
        ))
        
        # Adding ManyToManyField 'Meeting.topics'
        db.create_table('schedule_meeting_topics', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('meeting', models.ForeignKey(orm.Meeting, null=False)),
            ('topic', models.ForeignKey(orm.Topic, null=False))
        ))
        
        # Adding ManyToManyField 'Attendee.topics'
        db.create_table('schedule_attendee_topics', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('attendee', models.ForeignKey(orm.Attendee, null=False)),
            ('topic', models.ForeignKey(orm.Topic, null=False))
        ))
        
        # Adding ManyToManyField 'Attendee.tracks'
        db.create_table('schedule_attendee_tracks', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('attendee', models.ForeignKey(orm.Attendee, null=False)),
            ('track', models.ForeignKey(orm.Track, null=False))
        ))
        
        # Creating unique_together for [slot, room] on Agenda.
        db.create_unique('schedule_agenda', ['slot_id', 'room_id'])
        
    
    
    def backwards(self, orm):
        
        # Deleting unique_together for [slot, room] on Agenda.
        db.delete_unique('schedule_agenda', ['slot_id', 'room_id'])
        
        # Deleting model 'Slot'
        db.delete_table('schedule_slot')
        
        # Deleting model 'AttendeeBusy'
        db.delete_table('schedule_attendeebusy')
        
        # Deleting model 'Participant'
        db.delete_table('schedule_participant')
        
        # Deleting model 'Agenda'
        db.delete_table('schedule_agenda')
        
        # Deleting model 'Meeting'
        db.delete_table('schedule_meeting')
        
        # Deleting model 'Topic'
        db.delete_table('schedule_topic')
        
        # Deleting model 'RoomBusy'
        db.delete_table('schedule_roombusy')
        
        # Deleting model 'Attendee'
        db.delete_table('schedule_attendee')
        
        # Deleting model 'Summit'
        db.delete_table('schedule_summit')
        
        # Deleting model 'Track'
        db.delete_table('schedule_track')
        
        # Deleting model 'Room'
        db.delete_table('schedule_room')
        
        # Dropping ManyToManyField 'Room.tracks'
        db.delete_table('schedule_room_tracks')
        
        # Dropping ManyToManyField 'Meeting.tracks'
        db.delete_table('schedule_meeting_tracks')
        
        # Dropping ManyToManyField 'Meeting.topics'
        db.delete_table('schedule_meeting_topics')
        
        # Dropping ManyToManyField 'Attendee.topics'
        db.delete_table('schedule_attendee_topics')
        
        # Dropping ManyToManyField 'Attendee.tracks'
        db.delete_table('schedule_attendee_tracks')
        
    
    
    models = {
        'auth.group': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '80', 'unique': 'True'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)"},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '30', 'unique': 'True'})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'schedule.agenda': {
            'Meta': {'unique_together': "(('slot', 'room'),)"},
            'auto': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'meeting': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['schedule.Meeting']"}),
            'room': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['schedule.Room']"}),
            'slot': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['schedule.Slot']"})
        },
        'schedule.attendee': {
            'end_utc': ('django.db.models.fields.DateTimeField', [], {'db_column': "'end'"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'start_utc': ('django.db.models.fields.DateTimeField', [], {'db_column': "'start'"}),
            'summit': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['schedule.Summit']"}),
            'topics': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['schedule.Topic']", 'blank': 'True'}),
            'tracks': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['schedule.Track']", 'blank': 'True'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"})
        },
        'schedule.attendeebusy': {
            'attendee': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'busy_set'", 'to': "orm['schedule.Attendee']"}),
            'end_utc': ('django.db.models.fields.DateTimeField', [], {'db_column': "'end'"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'start_utc': ('django.db.models.fields.DateTimeField', [], {'db_column': "'start'"})
        },
        'schedule.meeting': {
            'approver': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'approver_set'", 'blank': 'True', 'null': 'True', 'to': "orm['schedule.Attendee']"}),
            'assignee': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'assignee_set'", 'blank': 'True', 'null': 'True', 'to': "orm['schedule.Attendee']"}),
            'description': ('django.db.models.fields.TextField', [], {'max_length': '2047', 'blank': 'True'}),
            'drafter': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'drafter_set'", 'blank': 'True', 'null': 'True', 'to': "orm['schedule.Attendee']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('NameField', [], {'max_length': '50', 'blank': 'True'}),
            'participants': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['schedule.Attendee']", 'blank': 'True'}),
            'priority': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'private': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'scribe': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'scribe_set'", 'blank': 'True', 'null': 'True', 'to': "orm['schedule.Attendee']"}),
            'slots': ('django.db.models.fields.IntegerField', [], {'default': '1'}),
            'spec_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'blank': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'summit': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['schedule.Summit']"}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'topics': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['schedule.Topic']", 'blank': 'True'}),
            'tracks': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['schedule.Track']", 'blank': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'default': "u'blueprint'", 'max_length': '15'}),
            'wiki_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'blank': 'True'})
        },
        'schedule.participant': {
            'attendee': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['schedule.Attendee']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'meeting': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['schedule.Meeting']"}),
            'required': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'})
        },
        'schedule.room': {
            'end_utc': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'db_column': "'end'", 'blank': 'True'}),
            'icecast_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('NameField', [], {'max_length': '50'}),
            'size': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'start_utc': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'db_column': "'start'", 'blank': 'True'}),
            'summit': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['schedule.Summit']"}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'tracks': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['schedule.Track']", 'blank': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'default': "u'open'", 'max_length': '7'})
        },
        'schedule.roombusy': {
            'end_utc': ('django.db.models.fields.DateTimeField', [], {'db_column': "'end'"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'room': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'busy_set'", 'to': "orm['schedule.Room']"}),
            'start_utc': ('django.db.models.fields.DateTimeField', [], {'db_column': "'start'"})
        },
        'schedule.slot': {
            'end_utc': ('django.db.models.fields.DateTimeField', [], {'db_column': "'end'"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'start_utc': ('django.db.models.fields.DateTimeField', [], {'db_column': "'start'"}),
            'summit': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['schedule.Summit']"}),
            'type': ('django.db.models.fields.CharField', [], {'default': "u'open'", 'max_length': '7'})
        },
        'schedule.summit': {
            'description': ('django.db.models.fields.TextField', [], {'max_length': '2047', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_update': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'location': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'name': ('NameField', [], {'max_length': '50'}),
            'state': ('django.db.models.fields.CharField', [], {'default': "u'sponsor'", 'max_length': '10'}),
            'timezone': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'schedule.topic': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'summit': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['schedule.Summit']"}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'schedule.track': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'summit': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['schedule.Summit']"}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        }
    }
    
    complete_apps = ['schedule']
