
from south.db import db
from django.db import models
from summit.sponsor.models import *
from summit.schedule.fields import NameField

class Migration:
    
    def forwards(self, orm):
        
        # Adding model 'SponsorshipScore'
        db.create_table('sponsor_sponsorshipscore', (
            ('id', orm['sponsor.SponsorshipScore:id']),
            ('sponsorship', orm['sponsor.SponsorshipScore:sponsorship']),
            ('user', orm['sponsor.SponsorshipScore:user']),
            ('score', orm['sponsor.SponsorshipScore:score']),
            ('comment', orm['sponsor.SponsorshipScore:comment']),
        ))
        db.send_create_signal('sponsor', ['SponsorshipScore'])
        
        # Adding model 'SponsorshipSuggestionScore'
        db.create_table('sponsor_sponsorshipsuggestionscore', (
            ('id', orm['sponsor.SponsorshipSuggestionScore:id']),
            ('sponsorship', orm['sponsor.SponsorshipSuggestionScore:sponsorship']),
            ('user', orm['sponsor.SponsorshipSuggestionScore:user']),
            ('score', orm['sponsor.SponsorshipSuggestionScore:score']),
            ('comment', orm['sponsor.SponsorshipSuggestionScore:comment']),
        ))
        db.send_create_signal('sponsor', ['SponsorshipSuggestionScore'])
        
        # Adding model 'SponsorshipSuggestion'
        db.create_table('sponsor_sponsorshipsuggestion', (
            ('id', orm['sponsor.SponsorshipSuggestion:id']),
            ('suggested_by', orm['sponsor.SponsorshipSuggestion:suggested_by']),
            ('name', orm['sponsor.SponsorshipSuggestion:name']),
            ('launchpad_name', orm['sponsor.SponsorshipSuggestion:launchpad_name']),
            ('summit', orm['sponsor.SponsorshipSuggestion:summit']),
            ('location', orm['sponsor.SponsorshipSuggestion:location']),
            ('country', orm['sponsor.SponsorshipSuggestion:country']),
            ('about', orm['sponsor.SponsorshipSuggestion:about']),
            ('needs_travel', orm['sponsor.SponsorshipSuggestion:needs_travel']),
            ('needs_accomodation', orm['sponsor.SponsorshipSuggestion:needs_accomodation']),
            ('would_crew', orm['sponsor.SponsorshipSuggestion:would_crew']),
            ('diet', orm['sponsor.SponsorshipSuggestion:diet']),
            ('further_info', orm['sponsor.SponsorshipSuggestion:further_info']),
        ))
        db.send_create_signal('sponsor', ['SponsorshipSuggestion'])
        
        # Adding model 'Sponsorship'
        db.create_table('sponsor_sponsorship', (
            ('id', orm['sponsor.Sponsorship:id']),
            ('user', orm['sponsor.Sponsorship:user']),
            ('summit', orm['sponsor.Sponsorship:summit']),
            ('location', orm['sponsor.Sponsorship:location']),
            ('country', orm['sponsor.Sponsorship:country']),
            ('about', orm['sponsor.Sponsorship:about']),
            ('needs_travel', orm['sponsor.Sponsorship:needs_travel']),
            ('needs_accomodation', orm['sponsor.Sponsorship:needs_accomodation']),
            ('would_crew', orm['sponsor.Sponsorship:would_crew']),
            ('diet', orm['sponsor.Sponsorship:diet']),
            ('further_info', orm['sponsor.Sponsorship:further_info']),
            ('video_agreement', orm['sponsor.Sponsorship:video_agreement']),
        ))
        db.send_create_signal('sponsor', ['Sponsorship'])
        
        # Adding model 'NonLaunchpadSponsorship'
        db.create_table('sponsor_nonlaunchpadsponsorship', (
            ('id', orm['sponsor.NonLaunchpadSponsorship:id']),
            ('requested_by', orm['sponsor.NonLaunchpadSponsorship:requested_by']),
            ('name', orm['sponsor.NonLaunchpadSponsorship:name']),
            ('company', orm['sponsor.NonLaunchpadSponsorship:company']),
            ('email', orm['sponsor.NonLaunchpadSponsorship:email']),
            ('summit', orm['sponsor.NonLaunchpadSponsorship:summit']),
            ('location', orm['sponsor.NonLaunchpadSponsorship:location']),
            ('country', orm['sponsor.NonLaunchpadSponsorship:country']),
            ('about', orm['sponsor.NonLaunchpadSponsorship:about']),
            ('needs_travel', orm['sponsor.NonLaunchpadSponsorship:needs_travel']),
            ('needs_accomodation', orm['sponsor.NonLaunchpadSponsorship:needs_accomodation']),
            ('would_crew', orm['sponsor.NonLaunchpadSponsorship:would_crew']),
            ('diet', orm['sponsor.NonLaunchpadSponsorship:diet']),
            ('further_info', orm['sponsor.NonLaunchpadSponsorship:further_info']),
        ))
        db.send_create_signal('sponsor', ['NonLaunchpadSponsorship'])
        
        # Adding model 'NonLaunchpadSponsorshipScore'
        db.create_table('sponsor_nonlaunchpadsponsorshipscore', (
            ('id', orm['sponsor.NonLaunchpadSponsorshipScore:id']),
            ('sponsorship', orm['sponsor.NonLaunchpadSponsorshipScore:sponsorship']),
            ('user', orm['sponsor.NonLaunchpadSponsorshipScore:user']),
            ('score', orm['sponsor.NonLaunchpadSponsorshipScore:score']),
            ('comment', orm['sponsor.NonLaunchpadSponsorshipScore:comment']),
        ))
        db.send_create_signal('sponsor', ['NonLaunchpadSponsorshipScore'])
        
    
    
    def backwards(self, orm):
        
        # Deleting model 'SponsorshipScore'
        db.delete_table('sponsor_sponsorshipscore')
        
        # Deleting model 'SponsorshipSuggestionScore'
        db.delete_table('sponsor_sponsorshipsuggestionscore')
        
        # Deleting model 'SponsorshipSuggestion'
        db.delete_table('sponsor_sponsorshipsuggestion')
        
        # Deleting model 'Sponsorship'
        db.delete_table('sponsor_sponsorship')
        
        # Deleting model 'NonLaunchpadSponsorship'
        db.delete_table('sponsor_nonlaunchpadsponsorship')
        
        # Deleting model 'NonLaunchpadSponsorshipScore'
        db.delete_table('sponsor_nonlaunchpadsponsorshipscore')
        
    
    
    models = {
        'auth.group': {
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '80', 'unique': 'True'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'unique_together': "(('content_type', 'codename'),)"},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '30', 'unique': 'True'})
        },
        'contenttypes.contenttype': {
            'Meta': {'unique_together': "(('app_label', 'model'),)", 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'schedule.summit': {
            'description': ('django.db.models.fields.TextField', [], {'max_length': '2047', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_update': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'location': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'name': ('NameField', [], {'max_length': '50'}),
            'state': ('django.db.models.fields.CharField', [], {'default': "u'sponsor'", 'max_length': '10'}),
            'timezone': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'sponsor.nonlaunchpadsponsorship': {
            'about': ('django.db.models.fields.TextField', [], {'max_length': '1000'}),
            'company': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'country': ('django.db.models.fields.CharField', [], {'max_length': '2', 'blank': 'True'}),
            'diet': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75'}),
            'further_info': ('django.db.models.fields.TextField', [], {'max_length': '1000', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'location': ('django.db.models.fields.CharField', [], {'max_length': '50', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'needs_accomodation': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'needs_travel': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'requested_by': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"}),
            'summit': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['schedule.Summit']"}),
            'would_crew': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'})
        },
        'sponsor.nonlaunchpadsponsorshipscore': {
            'comment': ('django.db.models.fields.TextField', [], {'max_length': '500', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'score': ('django.db.models.fields.IntegerField', [], {}),
            'sponsorship': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['sponsor.NonLaunchpadSponsorship']"}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"})
        },
        'sponsor.sponsorship': {
            'about': ('django.db.models.fields.TextField', [], {'max_length': '1000'}),
            'country': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            'diet': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'further_info': ('django.db.models.fields.TextField', [], {'max_length': '1000', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'location': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'needs_accomodation': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'needs_travel': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'summit': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['schedule.Summit']"}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"}),
            'video_agreement': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'would_crew': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'})
        },
        'sponsor.sponsorshipscore': {
            'comment': ('django.db.models.fields.TextField', [], {'max_length': '500', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'score': ('django.db.models.fields.IntegerField', [], {}),
            'sponsorship': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['sponsor.Sponsorship']"}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"})
        },
        'sponsor.sponsorshipsuggestion': {
            'about': ('django.db.models.fields.TextField', [], {'max_length': '1000'}),
            'country': ('django.db.models.fields.CharField', [], {'max_length': '2', 'blank': 'True'}),
            'diet': ('django.db.models.fields.CharField', [], {'max_length': '100', 'blank': 'True'}),
            'further_info': ('django.db.models.fields.TextField', [], {'max_length': '1000', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'launchpad_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'location': ('django.db.models.fields.CharField', [], {'max_length': '50', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'needs_accomodation': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'needs_travel': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'suggested_by': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"}),
            'summit': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['schedule.Summit']"}),
            'would_crew': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'})
        },
        'sponsor.sponsorshipsuggestionscore': {
            'comment': ('django.db.models.fields.TextField', [], {'max_length': '500', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'score': ('django.db.models.fields.IntegerField', [], {}),
            'sponsorship': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['sponsor.SponsorshipSuggestion']"}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['auth.User']"})
        }
    }
    
    complete_apps = ['sponsor']
